REM
REM  Visual Basic Import Declarations for the SCANLAB RTC3-DLL
REM

Declare Function getmemory Lib "RTC3DLL.DLL" (ByVal adr As Integer) As Integer
Declare Function n_load_varpolydelay Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal stbfilename As String, ByVal tableno As Integer) As Integer
Declare Function load_varpolydelay Lib "RTC3DLL.DLL" (ByVal stbfilename As String, ByVal tableno As Integer) As Integer
Declare Function n_load_program_file Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal name As String) As Integer
Declare Function load_program_file Lib "RTC3DLL.DLL" (ByVal name As String) As Integer
Declare Function n_load_correction_file Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal filename As String, ByVal cortable As Integer, ByVal kx As Double, ByVal ky As Double, ByVal phi As Double, ByVal xoffset As Double, ByVal yoffset As Double) As Integer
Declare Function load_correction_file Lib "RTC3DLL.DLL" (ByVal filename As String, ByVal cortable As Integer, ByVal kx As Double, ByVal ky As Double, ByVal phi As Double, ByVal xoffset As Double, ByVal yoffset As Double) As Integer
Declare Function n_load_z_table Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal a As Double, ByVal b As Double, ByVal c As Double) As Integer
Declare Function load_z_table Lib "RTC3DLL.DLL" (ByVal a As Double, ByVal b As Double, ByVal c As Double) As Integer
Declare Sub      n_list_nop Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      list_nop Lib "RTC3DLL.DLL" ()
Declare Sub      n_set_end_of_list Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      set_end_of_list Lib "RTC3DLL.DLL" ()
Declare Sub      n_jump_abs_3d Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer, ByVal y As Integer, ByVal z As Integer)
Declare Sub      jump_abs_3d Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer, ByVal z As Integer)
Declare Sub      n_jump_abs Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer, ByVal y As Integer)
Declare Sub      jump_abs Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer)
Declare Sub      n_mark_abs_3d Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer, ByVal y As Integer, ByVal z As Integer)
Declare Sub      mark_abs_3d Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer, ByVal z As Integer)
Declare Sub      n_mark_abs Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer, ByVal y As Integer)
Declare Sub      mark_abs Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer)
Declare Sub      n_jump_rel_3d Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal dx As Integer, ByVal dy As Integer, ByVal dz As Integer)
Declare Sub      jump_rel_3d Lib "RTC3DLL.DLL" (ByVal dx As Integer, ByVal dy As Integer, ByVal dz As Integer)
Declare Sub      n_jump_rel Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal dx As Integer, ByVal dy As Integer)
Declare Sub      jump_rel Lib "RTC3DLL.DLL" (ByVal dx As Integer, ByVal dy As Integer)
Declare Sub      n_mark_rel_3d Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal dx As Integer, ByVal dy As Integer, ByVal dz As Integer)
Declare Sub      mark_rel_3d Lib "RTC3DLL.DLL" (ByVal dx As Integer, ByVal dy As Integer, ByVal dz As Integer)
Declare Sub      n_mark_rel Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal dx As Integer, ByVal dy As Integer)
Declare Sub      mark_rel Lib "RTC3DLL.DLL" (ByVal dx As Integer, ByVal dy As Integer)
Declare Sub      n_write_8bit_port_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      write_8bit_port_list Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_write_da_1_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      write_da_1_list Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_write_da_2_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      write_da_2_list Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_set_matrix_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal i As Integer, ByVal j As Integer, ByVal mij As Double)
Declare Sub      set_matrix_list Lib "RTC3DLL.DLL" (ByVal i As Integer, ByVal j As Integer, ByVal mij As Double)
Declare Sub      n_set_defocus_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      set_defocus_list Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_set_control_mode_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal mode As Integer)
Declare Sub      set_control_mode_list Lib "RTC3DLL.DLL" (ByVal mode As Integer)
Declare Sub      n_set_offset_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal xoffset As Integer, ByVal yoffset As Integer)
Declare Sub      set_offset_list Lib "RTC3DLL.DLL" (ByVal xoffset As Integer, ByVal yoffset As Integer)
Declare Sub      n_long_delay Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      long_delay Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_laser_on_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      laser_on_list Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_set_jump_speed Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal speed As Double)
Declare Sub      set_jump_speed Lib "RTC3DLL.DLL" (ByVal speed As Double)
Declare Sub      n_set_mark_speed Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal speed As Double)
Declare Sub      set_mark_speed Lib "RTC3DLL.DLL" (ByVal speed As Double)
Declare Sub      n_set_laser_delays Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal ondelay As Integer, ByVal offdelay As Integer)
Declare Sub      set_laser_delays Lib "RTC3DLL.DLL" (ByVal ondelay As Integer, ByVal offdelay As Integer)
Declare Sub      n_set_scanner_delays Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal jumpdelay As Integer, ByVal markdelay As Integer, ByVal polydelay As Integer)
Declare Sub      set_scanner_delays Lib "RTC3DLL.DLL" (ByVal jumpdelay As Integer, ByVal markdelay As Integer, ByVal polydelay As Integer)
Declare Sub      n_set_list_jump Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal position As Integer)
Declare Sub      set_list_jump Lib "RTC3DLL.DLL" (ByVal position As Integer)
Declare Sub      n_set_input_pointer Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal pointer As Integer)
Declare Sub      set_input_pointer Lib "RTC3DLL.DLL" (ByVal pointer As Integer)
Declare Sub      set_list_pointer Lib "RTC3DLL.DLL" (ByVal list As Integer, ByVal pointer As Integer)
Declare Sub      n_list_call Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal position As Integer)
Declare Sub      list_call Lib "RTC3DLL.DLL" (ByVal position As Integer)
Declare Sub      n_list_return Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      list_return Lib "RTC3DLL.DLL" ()
Declare Sub      n_z_out_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal z As Integer)
Declare Sub      z_out_list Lib "RTC3DLL.DLL" (ByVal z As Integer)
Declare Sub      n_set_standby_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal half_period As Integer, ByVal pulse As Integer)
Declare Sub      set_standby_list Lib "RTC3DLL.DLL" (ByVal half_period As Integer, ByVal pulse As Integer)
Declare Sub      n_timed_jump_abs Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer, ByVal y As Integer, ByVal time As Double)
Declare Sub      timed_jump_abs Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer, ByVal time As Double)
Declare Sub      n_timed_mark_abs Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer, ByVal y As Integer, ByVal time As Double)
Declare Sub      timed_mark_abs Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer, ByVal time As Double)
Declare Sub      n_timed_jump_rel Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal dx As Integer, ByVal dy As Integer, ByVal time As Double)
Declare Sub      timed_jump_rel Lib "RTC3DLL.DLL" (ByVal dx As Integer, ByVal dy As Integer, ByVal time As Double)
Declare Sub      n_timed_mark_rel Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal dx As Integer, ByVal dy As Integer, ByVal time As Double)
Declare Sub      timed_mark_rel Lib "RTC3DLL.DLL" (ByVal dx As Integer, ByVal dy As Integer, ByVal time As Double)
Declare Sub      n_set_laser_timing Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal halfperiod As Integer, ByVal pulse1 As Integer, ByVal pulse2 As Integer, ByVal timebase As Integer)
Declare Sub      set_laser_timing Lib "RTC3DLL.DLL" (ByVal halfperiod As Integer, ByVal pulse1 As Integer, ByVal pulse2 As Integer, ByVal timebase As Integer)
Declare Sub      n_set_wobbel_xy Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal long_wob As Integer, ByVal trans_wob As Integer, ByVal frequency As Double)
Declare Sub      set_wobbel_xy Lib "RTC3DLL.DLL" (ByVal long_wob As Integer, ByVal trans_wob As Integer, ByVal frequency As Double)
Declare Sub      n_set_wobbel Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal amplitude As Integer, ByVal frequency As Double)
Declare Sub      set_wobbel Lib "RTC3DLL.DLL" (ByVal amplitude As Integer, ByVal frequency As Double)
Declare Sub      n_set_fly_x Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal kx As Double)
Declare Sub      set_fly_x Lib "RTC3DLL.DLL" (ByVal kx As Double)
Declare Sub      n_set_fly_y Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal ky As Double)
Declare Sub      set_fly_y Lib "RTC3DLL.DLL" (ByVal ky As Double)
Declare Sub      n_set_fly_rot Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal resolution As Double)
Declare Sub      set_fly_rot Lib "RTC3DLL.DLL" (ByVal resolution As Double)
Declare Sub      n_fly_return Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer, ByVal y As Integer)
Declare Sub      fly_return Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer)
Declare Sub      n_calculate_fly Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal direction As Integer, ByVal distance As Double)
Declare Sub      calculate_fly Lib "RTC3DLL.DLL" (ByVal direction As Integer, ByVal distance As Double)
Declare Sub      n_write_io_port_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      write_io_port_list Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_select_cor_table_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal heada As Integer, ByVal headb As Integer)
Declare Sub      select_cor_table_list Lib "RTC3DLL.DLL" (ByVal heada As Integer, ByVal headb As Integer)
Declare Sub      n_set_wait Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      set_wait Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_simulate_ext_start Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal delay As Integer, ByVal encoder As Integer)
Declare Sub      simulate_ext_start Lib "RTC3DLL.DLL" (ByVal delay As Integer, ByVal encoder As Integer)
Declare Sub      n_write_da_x_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer, ByVal value As Integer)
Declare Sub      write_da_x_list Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal value As Integer)
Declare Sub      n_set_pixel_line Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal pixelmode As Integer, ByVal pixelperiod As Integer, ByVal dx As Double, ByVal dy As Double)
Declare Sub      set_pixel_line Lib "RTC3DLL.DLL" (ByVal pixelmode As Integer, ByVal pixelperiod As Integer, ByVal dx As Double, ByVal dy As Double)
Declare Sub      n_set_pixel Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal pulswidth As Integer, ByVal davalue As Integer, ByVal adchannel As Integer)
Declare Sub      set_pixel Lib "RTC3DLL.DLL" (ByVal pulswidth As Integer, ByVal davalue As Integer, ByVal adchannel As Integer)
Declare Sub      set_line Lib "RTC3DLL.DLL" (ByVal dx As Integer, ByVal dy As Integer, ByVal n As Integer, ByVal period As Integer, ptr As Integer)
Declare Sub      n_set_extstartpos_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal position As Integer)
Declare Sub      set_extstartpos_list Lib "RTC3DLL.DLL" (ByVal position As Integer)
Declare Sub      n_laser_signal_on_list Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      laser_signal_on_list Lib "RTC3DLL.DLL" ()
Declare Sub      n_laser_signal_off_list Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      laser_signal_off_list Lib "RTC3DLL.DLL" ()
Declare Sub      n_set_firstpulse_killer_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal fpk As Integer)
Declare Sub      set_firstpulse_killer_list Lib "RTC3DLL.DLL" (ByVal fpk As Integer)
Declare Sub      n_set_io_cond_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal mask_1 As Integer, ByVal mask_0 As Integer, ByVal mask_set As Integer)
Declare Sub      set_io_cond_list Lib "RTC3DLL.DLL" (ByVal mask_1 As Integer, ByVal mask_0 As Integer, ByVal mask_set As Integer)
Declare Sub      n_clear_io_cond_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal mask_1 As Integer, ByVal mask_0 As Integer, ByVal mask_clear As Integer)
Declare Sub      clear_io_cond_list Lib "RTC3DLL.DLL" (ByVal mask_1 As Integer, ByVal mask_0 As Integer, ByVal mask_clear As Integer)
Declare Sub      n_list_jump_cond Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal mask_1 As Integer, ByVal mask_0 As Integer, ByVal position As Integer)
Declare Sub      list_jump_cond Lib "RTC3DLL.DLL" (ByVal mask_1 As Integer, ByVal mask_0 As Integer, ByVal position As Integer)
Declare Sub      n_list_call_cond Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal mask_1 As Integer, ByVal mask_0 As Integer, ByVal position As Integer)
Declare Sub      list_call_cond Lib "RTC3DLL.DLL" (ByVal mask_1 As Integer, ByVal mask_0 As Integer, ByVal position As Integer)
Declare Sub      n_save_and_restart_timer Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      save_and_restart_timer Lib "RTC3DLL.DLL" ()
Declare Sub      n_set_ext_start_delay_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal delay As Integer, ByVal encoder As Integer)
Declare Sub      set_ext_start_delay_list Lib "RTC3DLL.DLL" (ByVal delay As Integer, ByVal encoder As Integer)
Declare Function n_get_input_pointer Lib "RTC3DLL.DLL" (ByVal n As Integer) As Integer
Declare Function get_input_pointer Lib "RTC3DLL.DLL" () As Integer
Declare Sub      select_rtc Lib "RTC3DLL.DLL" (ByVal cardno As Integer)
Declare Function rtc3_count_cards Lib "RTC3DLL.DLL" () As Integer
Declare Sub      n_get_status Lib "RTC3DLL.DLL" (ByVal n As Integer, busy As Integer, position As Integer)
Declare Sub      get_status Lib "RTC3DLL.DLL" (busy As Integer, position As Integer)
Declare Function n_read_status Lib "RTC3DLL.DLL" (ByVal n As Integer) As Integer
Declare Function read_status Lib "RTC3DLL.DLL" () As Integer
Declare Function n_get_startstop_info Lib "RTC3DLL.DLL" (ByVal n As Integer) As Integer
Declare Function get_startstop_info Lib "RTC3DLL.DLL" () As Integer
Declare Function n_get_marking_info Lib "RTC3DLL.DLL" (ByVal n As Integer) As Integer
Declare Function get_marking_info Lib "RTC3DLL.DLL" () As Integer
Declare Function get_dll_version Lib "RTC3DLL.DLL" () As Integer
Declare Sub      n_set_start_list_1 Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      set_start_list_1 Lib "RTC3DLL.DLL" ()
Declare Sub      n_set_start_list_2 Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      set_start_list_2 Lib "RTC3DLL.DLL" ()
Declare Sub      n_set_start_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal listno As Integer)
Declare Sub      set_start_list Lib "RTC3DLL.DLL" (ByVal listno As Integer)
Declare Sub      n_execute_list_1 Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      execute_list_1 Lib "RTC3DLL.DLL" ()
Declare Sub      n_execute_list_2 Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      execute_list_2 Lib "RTC3DLL.DLL" ()
Declare Sub      n_execute_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal listno As Integer)
Declare Sub      execute_list Lib "RTC3DLL.DLL" (ByVal listno As Integer)
Declare Sub      n_write_8bit_port Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      write_8bit_port Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_write_io_port Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      write_io_port Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_auto_change Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      auto_change Lib "RTC3DLL.DLL" ()
Declare Sub      n_auto_change_pos Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal start As Integer)
Declare Sub      auto_change_pos Lib "RTC3DLL.DLL" (ByVal start As Integer)
Declare Sub      aut_change Lib "RTC3DLL.DLL" ()
Declare Sub      n_start_loop Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      start_loop Lib "RTC3DLL.DLL" ()
Declare Sub      n_quit_loop Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      quit_loop Lib "RTC3DLL.DLL" ()
Declare Sub      n_set_list_mode Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal mode As Integer)
Declare Sub      set_list_mode Lib "RTC3DLL.DLL" (ByVal mode As Integer)
Declare Sub      n_stop_execution Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      stop_execution Lib "RTC3DLL.DLL" ()
Declare Function n_read_io_port Lib "RTC3DLL.DLL" (ByVal n As Integer) As Integer
Declare Function read_io_port Lib "RTC3DLL.DLL" () As Integer
Declare Sub      n_write_da_1 Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      write_da_1 Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_write_da_2 Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      write_da_2 Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_set_max_counts Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal counts As Long)
Declare Sub      set_max_counts Lib "RTC3DLL.DLL" (ByVal counts As Long)
Declare Function n_get_counts Lib "RTC3DLL.DLL" (ByVal n As Integer) As Long
Declare Function get_counts Lib "RTC3DLL.DLL" () As Long
Declare Sub      n_set_matrix Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal m11 As Double, ByVal m12 As Double, ByVal m21 As Double, ByVal m22 As Double)
Declare Sub      set_matrix Lib "RTC3DLL.DLL" (ByVal m11 As Double, ByVal m12 As Double, ByVal m21 As Double, ByVal m22 As Double)
Declare Sub      n_set_offset Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal xoffset As Integer, ByVal yoffset As Integer)
Declare Sub      set_offset Lib "RTC3DLL.DLL" (ByVal xoffset As Integer, ByVal yoffset As Integer)
Declare Sub      n_goto_xyz Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer, ByVal y As Integer, ByVal z As Integer)
Declare Sub      goto_xyz Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer, ByVal z As Integer)
Declare Sub      n_goto_xy Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer, ByVal y As Integer)
Declare Sub      goto_xy Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer)
Declare Function n_get_hex_version Lib "RTC3DLL.DLL" (ByVal n As Integer) As Integer
Declare Function get_hex_version Lib "RTC3DLL.DLL" () As Integer
Declare Sub      n_disable_laser Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      disable_laser Lib "RTC3DLL.DLL" ()
Declare Sub      n_enable_laser Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      enable_laser Lib "RTC3DLL.DLL" ()
Declare Sub      n_stop_list Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      stop_list Lib "RTC3DLL.DLL" ()
Declare Sub      n_restart_list Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      restart_list Lib "RTC3DLL.DLL" ()
Declare Sub      n_get_xyz_pos Lib "RTC3DLL.DLL" (ByVal n As Integer, x As Integer, y As Integer, z As Integer)
Declare Sub      get_xyz_pos Lib "RTC3DLL.DLL" (x As Integer, y As Integer, z As Integer)
Declare Sub      n_get_xy_pos Lib "RTC3DLL.DLL" (ByVal n As Integer, x As Integer, y As Integer)
Declare Sub      get_xy_pos Lib "RTC3DLL.DLL" (x As Integer, y As Integer)
Declare Sub      n_select_list Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal list_2 As Integer)
Declare Sub      select_list Lib "RTC3DLL.DLL" (ByVal list_2 As Integer)
Declare Sub      n_z_out Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal z As Integer)
Declare Sub      z_out Lib "RTC3DLL.DLL" (ByVal z As Integer)
Declare Sub      n_set_firstpulse_killer Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal fpk As Integer)
Declare Sub      set_firstpulse_killer Lib "RTC3DLL.DLL" (ByVal fpk As Integer)
Declare Sub      n_set_standby Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal half_period As Integer, ByVal pulse As Integer)
Declare Sub      set_standby Lib "RTC3DLL.DLL" (ByVal half_period As Integer, ByVal pulse As Integer)
Declare Sub      n_laser_signal_on Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      laser_signal_on Lib "RTC3DLL.DLL" ()
Declare Sub      n_laser_signal_off Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      laser_signal_off Lib "RTC3DLL.DLL" ()
Declare Sub      n_set_delay_mode Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal varpoly As Integer, ByVal directmove3d As Integer, ByVal edgelevel As Integer, ByVal minjumpdelay As Integer, ByVal jumplengthlimit As Integer)
Declare Sub      set_delay_mode Lib "RTC3DLL.DLL" (ByVal varpoly As Integer, ByVal directmove3d As Integer, ByVal edgelevel As Integer, ByVal minjumpdelay As Integer, ByVal jumplengthlimit As Integer)
Declare Sub      n_set_piso_control Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal l1 As Integer, ByVal l2 As Integer)
Declare Sub      set_piso_control Lib "RTC3DLL.DLL" (ByVal l1 As Integer, ByVal l2 As Integer)
Declare Sub      n_select_status Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal mode As Integer)
Declare Sub      select_status Lib "RTC3DLL.DLL" (ByVal mode As Integer)
Declare Sub      n_get_encoder Lib "RTC3DLL.DLL" (ByVal n As Integer, zx As Integer, zy As Integer)
Declare Sub      get_encoder Lib "RTC3DLL.DLL" (zx As Integer, zy As Integer)
Declare Sub      n_select_cor_table Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal heada As Integer, ByVal headb As Integer)
Declare Sub      select_cor_table Lib "RTC3DLL.DLL" (ByVal heada As Integer, ByVal headb As Integer)
Declare Sub      n_execute_at_pointer Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal position As Integer)
Declare Sub      execute_at_pointer Lib "RTC3DLL.DLL" (ByVal position As Integer)
Declare Function n_get_head_status Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal head As Integer) As Integer
Declare Function get_head_status Lib "RTC3DLL.DLL" (ByVal head As Integer) As Integer
Declare Sub      n_simulate_encoder Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal channel As Integer)
Declare Sub      simulate_encoder Lib "RTC3DLL.DLL" (ByVal channel As Integer)
Declare Sub      n_set_hi Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal galvogainx As Double, ByVal galvogainy As Double, ByVal galvooffsetx As Integer, ByVal galvooffsety As Integer, ByVal head As Integer)
Declare Sub      set_hi Lib "RTC3DLL.DLL" (ByVal galvogainx As Double, ByVal galvogainy As Double, ByVal galvooffsetx As Integer, ByVal galvooffsety As Integer, ByVal head As Integer)
Declare Sub      n_release_wait Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      release_wait Lib "RTC3DLL.DLL" ()
Declare Function n_get_wait_status Lib "RTC3DLL.DLL" (ByVal n As Integer) As Integer
Declare Function get_wait_status Lib "RTC3DLL.DLL" () As Integer
Declare Sub      n_set_control_mode Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal mode As Integer)
Declare Sub      set_control_mode Lib "RTC3DLL.DLL" (ByVal mode As Integer)
Declare Sub      n_set_laser_mode Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal mode As Integer)
Declare Sub      set_laser_mode Lib "RTC3DLL.DLL" (ByVal mode As Integer)
Declare Sub      n_set_ext_start_delay Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal delay As Integer, ByVal encoder As Integer)
Declare Sub      set_ext_start_delay Lib "RTC3DLL.DLL" (ByVal delay As Integer, ByVal encoder As Integer)
Declare Sub      n_home_position Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal xhome As Integer, ByVal yhome As Integer)
Declare Sub      home_position Lib "RTC3DLL.DLL" (ByVal xhome As Integer, ByVal yhome As Integer)
Declare Sub      n_set_rot_center Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal center_x As Long, ByVal center_y As Long)
Declare Sub      set_rot_center Lib "RTC3DLL.DLL" (ByVal center_x As Long, ByVal center_y As Long)
Declare Sub      n_dsp_start Lib "RTC3DLL.DLL" (ByVal n As Integer)
Declare Sub      dsp_start Lib "RTC3DLL.DLL" ()
Declare Sub      n_write_da_x Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer, ByVal value As Integer)
Declare Sub      write_da_x Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal value As Integer)
Declare Function n_read_ad_x Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer) As Integer
Declare Function read_ad_x Lib "RTC3DLL.DLL" (ByVal x As Integer) As Integer
Declare Function n_read_pixel_ad Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal pos As Integer) As Integer
Declare Function read_pixel_ad Lib "RTC3DLL.DLL" (ByVal pos As Integer) As Integer
Declare Function n_get_z_distance Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal x As Integer, ByVal y As Integer, ByVal z As Integer) As Integer
Declare Function get_z_distance Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer, ByVal z As Integer) As Integer
Declare Function n_get_io_status Lib "RTC3DLL.DLL" (ByVal n As Integer) As Integer
Declare Function get_io_status Lib "RTC3DLL.DLL" () As Integer
Declare Function n_get_time Lib "RTC3DLL.DLL" (ByVal n As Integer) As Double
Declare Function get_time Lib "RTC3DLL.DLL" () As Double
Declare Sub      n_set_defocus Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal value As Integer)
Declare Sub      set_defocus Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      n_set_softstart_mode Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal mode As Integer, ByVal number As Integer, ByVal restartdelay As Integer)
Declare Sub      set_softstart_mode Lib "RTC3DLL.DLL" (ByVal mode As Integer, ByVal number As Integer, ByVal resetdelay As Integer)
Declare Sub      n_set_softstart_level Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal index As Integer, ByVal level As Integer)
Declare Sub      set_softstart_level Lib "RTC3DLL.DLL" (ByVal index As Integer, ByVal level As Integer)
Declare Sub      n_control_command Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal head As Integer, ByVal channel As Integer, ByVal data As Integer)
Declare Sub      control_command Lib "RTC3DLL.DLL" (ByVal head As Integer, ByVal channel As Integer, ByVal data As Integer)
Declare Sub      write_16bit_port Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      set_bases Lib "RTC3DLL.DLL" (ByVal cardno As Integer, ByVal base As Integer)
Declare Sub      set_ext2_mode Lib "RTC3DLL.DLL" (ByVal mode As Integer)
Declare Sub      field_jump Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer)
Declare Sub      home_jump Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer)
Declare Sub      set_mode Lib "RTC3DLL.DLL" (ByVal mode As Integer)
Declare Sub      set_delays Lib "RTC3DLL.DLL" (ByVal sp As Integer, ByVal jd As Integer, ByVal md As Integer, ByVal pd As Integer, ByVal loffd As Integer, ByVal lond As Integer, ByVal t1 As Integer, ByVal t2 As Integer, ByVal t3 As Integer)
Declare Function get_rtc2_mode Lib "RTC3DLL.DLL" () As Integer
Declare Sub      set_base Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      set_co2_standby Lib "RTC3DLL.DLL" (ByVal half_period As Integer, ByVal pulse As Integer)
Declare Sub      set_co2_standby_list Lib "RTC3DLL.DLL" (ByVal half_period As Integer, ByVal pulse As Integer)
Declare Function load_cor Lib "RTC3DLL.DLL" (ByVal filename As String) As Integer
Declare Function load_pro Lib "RTC3DLL.DLL" (ByVal filename As String) As Integer
Declare Sub      write_da Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      pola_abs Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer)
Declare Sub      polb_abs Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer)
Declare Sub      polc_abs Lib "RTC3DLL.DLL" (ByVal x As Integer, ByVal y As Integer)
Declare Sub      write_da_list Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      laser_on Lib "RTC3DLL.DLL" (ByVal value As Integer)
Declare Sub      set_speed Lib "RTC3DLL.DLL" (ByVal jumpspeed As Double, ByVal markspeed As Double)
Declare Sub      set_gain Lib "RTC3DLL.DLL" (ByVal xgain As Double, ByVal ygain As Double, ByVal xoffset As Integer, ByVal yoffset As Integer)
Declare Function get_version Lib "RTC3DLL.DLL" () As Integer
Declare Sub      set_yag_parameter Lib "RTC3DLL.DLL" (ByVal parameter As Integer)
Declare Sub      set_encoder_values Lib "RTC3DLL.DLL" (ByVal kx As Double, ByVal ky As Double, ByVal zx As Integer, ByVal zy As Integer)
Declare Function n_get_serial_number Lib "RTC3DLL.DLL" (ByVal n As Integer) As Integer
Declare Function get_serial_number Lib "RTC3DLL.DLL" () As Integer
Declare Function n_get_serial_number_32 Lib "RTC3DLL.DLL" (ByVal n As Integer) As Long
Declare Function get_serial_number_32 Lib "RTC3DLL.DLL" () As Long
Declare Function n_get_rtc_version Lib "RTC3DLL.DLL" (ByVal n As Integer) As Integer
Declare Function get_rtc_version Lib "RTC3DLL.DLL" () As Integer
Declare Sub      get_hi_data Lib "RTC3DLL.DLL" (x1 As Integer, x2 As Integer, y1 As Integer, y2 As Integer)
Declare Function n_auto_cal Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal head As Integer, ByVal command As Integer) As Integer
Declare Function auto_cal Lib "RTC3DLL.DLL" (ByVal head As Integer, ByVal command As Integer) As Integer
Declare Function n_get_list_space Lib "RTC3DLL.DLL" (ByVal n As Integer) As Integer
Declare Function get_list_space Lib "RTC3DLL.DLL" () As Integer
Declare Function get_rtc2_version Lib "RTC3DLL.DLL" () As Integer
Declare Function teachin Lib "RTC3DLL.DLL" (ByVal filename As String, ByVal xin As Integer, ByVal yin As Integer, ByVal zin As Integer, ByVal ll0 As Double, xout As Integer, yout As Integer, zout As Integer) As Integer
Declare Function n_get_value Lib "RTC3DLL.DLL" (ByVal n As Integer, ByVal signal As Integer) As Integer
Declare Function get_value Lib "RTC3DLL.DLL" (ByVal signal As Integer) As Integer
